Qwt User's Guide: QwtPickerDragLineMachine Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtPickerDragLineMachine Class Reference

A state machine for line selections. More...

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerDragLineMachine:

## Public Member Functions
| QwtPickerDragLineMachine ()
| Constructor.
virtual QList< Command > | transition (const QwtEventPattern &, const QEvent *) override
| Transition.
Public Member Functions inherited from QwtPickerMachine
| QwtPickerMachine (SelectionType)
| Constructor.
virtual | ~QwtPickerMachine ()
| Destructor.
void | reset ()
| Set the current state to 0.
int | state () const
| Return the current state.
void | setState (int)
| Change the current state.
SelectionType | selectionType () const
| Return the selection type.

## Additional Inherited Members
Public Types inherited from QwtPickerMachine
enum | SelectionType { NoSelection = -1 , PointSelection , RectSelection , PolygonSelection }
enum | Command { Begin , Append , Move , Remove , End }
| Commands - the output of a state machine. More...

## Detailed Description

A state machine for line selections.

Pressing QwtEventPattern::MouseSelect1 selects the first point, releasing it the second point. Pressing QwtEventPattern::KeySelect1 also selects the first point, a second press selects the second point and terminates the selection.

A common use case of QwtPickerDragLineMachine are pickers for distance measurements.

See also
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Definition at line 185 of file qwt_picker_machine.h.

## Constructor & Destructor Documentation

## ◆ QwtPickerDragLineMachine()

QwtPickerDragLineMachine::QwtPickerDragLineMachine | ( |  | ) |

Constructor.

Definition at line 473 of file qwt_picker_machine.cpp.

## Member Function Documentation

## ◆ transition()

QList< QwtPickerMachine::Command > QwtPickerDragLineMachine::transition | ( | const QwtEventPattern & | eventPattern,
|  | const QEvent * | event )
| overridevirtual

Transition.

Implements QwtPickerMachine.

Definition at line 479 of file qwt_picker_machine.cpp.